<?php
/**
 * Файл для описания класса работы с исключениями, {@link mxl_utils_exceptions}.
 * @package mxl_utils
 * @author merlin <merlin@ersys.ru>
 * @copyright Copyright (c) 2009, ООО НПО Метарекс
 */
/**
 * Класс для работы с исключениями.
 * @package mxl_utils
 * @author merlin <merlin@ersys.ru>
 * @copyright Copyright (c) 2009, ООО НПО Метарекс, {@link http://www.metarex.ru www.metarex.ru}
 */

class mxl_utils_exceptions{
	/**
	 * Функция конвертация исключения в html
	 * @param Exception $e
	 * @return string
	 */
	public static function toHtml(Exception $e){
		$errMes = $e->getMessage()
			.'<br><br>'.mxl_cfg_messages::$utils_exceptions_toHtml_exceptionSrc.
					':<br>'.$e->getFile().'('.$e->getLine().')'
			.'<br><br>'.mxl_cfg_messages::$utils_exceptions_toHtml_stackTrace.
					':<br>'.$e->getTraceAsString();
		return str_ireplace("\n",'<br>', $errMes);
	}
}
?>