
function mxl_showErrorByResponseText(responseText, baseMsg){
  var validate = Ext.util.JSON.decode(responseText).validate;
  var error = Ext.util.JSON.decode(responseText).error;
  if (validate){
    Ext.Msg.alert("Ошибка", baseMsg + "<br><br>Ошибка при валидации:<br>"+ validate);
  } else if (error){
    Ext.Msg.alert("Ошибка", baseMsg + "<br><br>Ошибка:<br>" + error);
  } else {
    Ext.Msg.alert("Ошибка", baseMsg);
  }
}

var mxl_wgs_time_shift = 0;
var mxl_wgs_server_time_zone = '-5';

var store_cbx_city1;
var cbx_city1;
var store_lst_list1;
var frm_lst_list1;
var store_lst_list1_res;
var date_field_start;
var time_field_start;

function mxl_onbeforeunload(){
  var err_str = "";
  if (err_str)
    return "Вы не сохранили изменения в: \n " + 
      err_str + " \n Вы уверены, что хотите уйти со страницы?\n";
};

function startAutoGenScript(){
store_cbx_city1= new Ext.data.Store({
  reader: new Ext.data.JsonReader({
    id:"store_cbx_city1",
    root: "rows"
    },
    [
    {name: "key", type: "string", mapping:"key"},
    {name: "value", type: "string", mapping:"value"}
    ]),
  proxy: new Ext.data.HttpProxy({
    url: "src/widget/request/getcombobox.php",
    method: "POST"
    }),
  autoLoad: true,
  baseParams:{comboName: "testen", sid:""}
  });
store_cbx_city1.load();
cbx_city1 = new Ext.form.ClearableComboBox({
  store: store_cbx_city1,
  valueField:"key",
  displayField:"value",
  mode: "local",
  typeAhead: true,
  editable: true,
  minChars: 0,
  forceSelection: false,
  selectOnFocus: false,
  triggerAction: "all",
  emptyText:"Пустой текст",
  hiddenName:"city1",
  applyTo: "cbx_city1"
  });
store_lst_list1= new Ext.data.Store({
  reader: new Ext.data.JsonReader({
    id:"store_lst_list1",
    root: "rows"
    },
    [
    {name: "city_id", type: "string", mapping:"city_id"},
    {name: "city_name", type: "string", mapping:"city_name"}
    ]),
  proxy: new Ext.data.HttpProxy({
    url: "src/widget/request/getlist.php",
    method: "POST"
    }),
  autoLoad: true,
  baseParams:{listName: "lst_test", sid:""}
  });
store_lst_list1.load();
store_lst_list1_res = new Ext.data.ArrayStore({
  data: [],
  fields: ['city_id','city_id'],
  sortInfo: {
    field: 'city_id',
    direction: 'ASC'
  }
});
frm_lst_list1 = new Ext.form.FormPanel({
  title: 'Список с переносом во второй',
  width: 410,
  bodyStyle: 'padding:10px;',
  renderTo: 'list1',
  items:[{
    xtype: 'itemselector',
    fieldLabel: 'Тут<br>описание<br>списка',
    name: 'list1',
    imagePath: './libs/extjs/plugins/ux/images/',
    multiselects: [{
      width: 130,
      height: 150,
      store: store_lst_list1,
      displayField: 'city_name',
      valueField: 'city_id'
    },{
      width: 130,
      height: 150,
      store: store_lst_list1_res, 
      displayField: 'city_name',
      valueField: 'city_id'
,
    tbar:[{
      text: 'clear',
      handler: function(){
        frm_lst_list1.getForm().findField('list1').reset();
      }
    }]
    }]
  }]
});date_field_start = new Ext.form.DateField({
  renderTo: "date_field_start",
  id: "ext_date_field_start",
  width: 95,
  format: "m/d/Y",
  allowBlank: false,
  anchor : "32%"
  });
time_field_start = new Ext.form.TimeField({
  renderTo: "time_field_start",
  id: "ext_time_field_start",
  width: 60,
  value: "00:00",
  format: "H:i",
  allowBlank: false,
  anchor : "32%"
  });

  date_field_start.setValue("04/20/2012");

var root = window.addEventListener || window.attachEvent ?
    window : 
    document.addEventListener ? document : null;
root.onbeforeunload = mxl_onbeforeunload;

Ext.QuickTips.init();

  Ext.data.DataProxy.addListener('exception', function(proxy, type, action, options, response, arg) {
    if (type == 'response'){
      mxl_showErrorByResponseText(response.responseText, ""); 
    } else {      Ext.Msg.show({ 
        title: 'Ошибка',
        msg: print_r(response),
        icon: Ext.MessageBox.ERROR,
        buttons: Ext.Msg.OK
      });
    }
  });
}

function Get_SID() {
  var pageParameters = Ext.urlDecode(window.location.search.substring(1));
  return pageParameters["sid"];
}
